SET ECHO ON
SPOOL uwva#34519_IMP_LC.lst
SET DEFINE OFF

-- LEASECONTRACTEN
-- Na het importeren van lease contracten moet de opzegtermijn op <geen> gezet worden en de rappeltermijn op 3  maanden gezet worden.
UPDATE CNT_CONTRACT C
   SET C.CNT_CONTRACT_OPZEGTERMIJN = 1, C.CNT_CONTRACT_RAPPELTERMIJN = 5
 WHERE c.INS_DISCIPLINE_KEY = 425;

-- De koppeltekens in de kentekens bij de leasecontracten moet verwijderd worden
UPDATE CNT_CONTRACT C
   SET CNT_CONTRACT_NUMMER_INTERN = REPLACE (CNT_CONTRACT_NUMMER_INTERN, '-')
 WHERE c.INS_DISCIPLINE_KEY = 425 AND c.CNT_CONTRACT_NUMMER_INTERN LIKE '%-%';
 
UPDATE CNT_CONTRACT C
   SET C.CNT_CONTRACT_OMSCHRIJVING = REPLACE (C.CNT_CONTRACT_OMSCHRIJVING, '-')
 WHERE C.INS_DISCIPLINE_KEY = 425;

-- Vervolgens kan o.b.v. het kenteken de juiste auto aan het leasecontract gekoppeld worden
INSERT INTO cnt_contract_object (CNT_CONTRACT_KEY, CNT_INS_SRTDEEL_KEY, CNT_INS_DEEL_KEY)
   SELECT C.CNT_CONTRACT_KEY, O.INS_SRTDEEL_KEY, o.INS_DEEL_KEY
     FROM CNT_CONTRACT c, INS_DEEL o
    WHERE     C.CNT_CONTRACT_NUMMER_INTERN = O.INS_DEEL_OMSCHRIJVING
          AND C.INS_DISCIPLINE_KEY = 425
          AND O.INS_SRTDEEL_KEY = 258658;

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/
COMMIT;
SPOOL OFF       